<?xml version="1.0" encoding="UTF-8"?>
<!-- Logback Configuration.  -->
<configuration debug="false">
    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <target>System.out</target>
        <encoding>UTF-8</encoding>
        <layout class="ch.qos.logback.classic.PatternLayout">
            <pattern><![CDATA[
%n%-4r [%d{yyyy-MM-dd HH:mm:ss}] - %X{method} %X{requestURIWithQueryString} [ip=%X{remoteAddr}, ref=%X{referrer}, ua=%X{userAgent}, sid=%X{cookie.JSESSIONID}]%n  %-5level %logger{35} - %m%n
            ]]></pattern>
        </layout>
    </appender>

    <appender name="STDERR" class="ch.qos.logback.core.ConsoleAppender">
        <target>System.err</target>
        <encoding>UTF-8</encoding>
        <layout class="ch.qos.logback.classic.PatternLayout">
            <pattern><![CDATA[
%n%-4r [%d{yyyy-MM-dd HH:mm:ss}] - %X{method} %X{requestURIWithQueryString} [ip=%X{remoteAddr}, ref=%X{referrer}, ua=%X{userAgent}, sid=%X{cookie.JSESSIONID}]%n  %-5level %logger{35} - %m%n
            ]]></pattern>
        </layout>
    </appender>

	<appender name="FILE" class="ch.qos.logback.core.FileAppender"> 
		<file>${catalina.home}/logs/stmms-ft.log</file> 
		<append>true</append><!-- 日志追加 --> 
		<encoder> 
		<pattern>%d{HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n 
		</pattern> 
		</encoder> 
	</appender> 
    <root>
        <level value="INFO" />
        <!-- <appender-ref ref="STDERR" />
        <appender-ref ref="STDOUT" /> -->
        <appender-ref ref="FILE" /> 
    </root>
</configuration>
